<!--
调用须知：
@search 为搜索方法：参数{pageSize:10,pageNumber:1}
:page 分页属性
      {
        small: false, // 是否使用小型分页
        total: 0, // 总条数
        pageNumber: 1, // 第几页
        pageSize: 10 // 每页多少条
      }
-->
<template>
  <div>
    <el-pagination
      :small="pages.small"
      :current-page="pages.pageNumber"
      :page-sizes="[5, 10, 20, 50, 100, 200, 300, 400, 500]"
      :page-size="pages.pageSize"
      layout="total, sizes, prev, pager, next, jumper"
      :total="pages.total"
      @size-change="handleSizeChange"
      @current-change="handleCurrentChange"
    />
  </div>
</template>
<script>
export default {
  props: {
    page: {
      type: Object,
      default: function() {
        return {}
      }
    }
  },
  data() {
    return {
      pages: {
        small: false, // 是否使用小型分页
        total: 0, // 总条数
        pageNumber: 1, // 第几页
        pageSize: 10 // 每页多少条
      }
    }
  },
  created() {
    // Object.assign(this.pages, this.page)
    this.pages = this.page
  },
  methods: {
    // 切换pageSize
    handleSizeChange(pageSize) {
      this.pages.pageSize = pageSize
      this.pages.pageNumber = 1
      this.$emit('search', { pageSize: this.pages.pageSize, pageNumber: this.pages.pageNumber })
    },
    // 切换pageNumber
    handleCurrentChange(pageNumber) {
      this.pages.pageNumber = pageNumber
      this.$emit('search', { pageSize: this.pages.pageSize, pageNumber: this.pages.pageNumber })
    }
  }
}
</script>
